Happy Women's Day! 20% OFF. Coupon: WONDERWOMAN20 Join Today!

Arrow up
Arrow down
×
Forum Access (04 Jul 2019)

These forums are READ-ONLY for Guests, and only WebKomp club members can post. If you are not a member, please look at joining one of our clubs to get access to this forum.

question-circle Update Template to support PHP 7.2

2 years 3 months ago #2879 by Manuel Rott
Hello,
I have purchased the Photographer template back in 2015. My provider now supports PHP 7.1/7.2, so I want to upgrade from 7.0 to 7.2 to get rid of this annoying Joomla security warnings.
When I changed the PHP version, I get a lot of warnings from the Helix framework in the front-end of my website.
Is it possible to update the template/Helix framework to the current version?
In my account I see a download-ID, but where do I have to enter this id?

Thanks in advance for your help.
Manuel


  • Posts: 3

  • Gender: Male
  • Birthdate: Unknown
  • Please Log in to join the conversation.

    2 years 3 months ago #2880 by __Mike__
    Hello,

    1.Helix II ver 2.5 ?
    2: Switch back to PHP 5.6
    3: Check if all installed extensions support PHP7.x
    4: Check error_log ( warnings) and send me more info..

    If it's only warnings you can switch Error (Warning) Reporting on Your Joomla Site. Go to Site > Global Configuration > Server > Error Reporting.

    Thanks

    - Please search forums before posting.
    - Chrome DevTools is the most powerful web development and debugging tool, and it will save you a lot of time, frustration and forum questions.
    - If a thread is solved please edit your original / first post and place "[SOLVED]".



  • Posts: 1437

  • Gender: Male
  • Birthdate: Unknown
  • Please Log in to join the conversation.

    5 months 2 weeks ago #3397 by --Ina--
    Hello Mike,

    we got the same issue (PHP7.3). Is there any fix possible beside changing the reporting settings? I searched for a new download link of the template (because maybe the new helix version will be included), but i couldnt find it. i bought the template in 2015.

    Thanks a lot
    Ina


  • Posts: 2

  • Gender: Unknown
  • Birthdate: Unknown
  • Please Log in to join the conversation.

    5 months 1 week ago - 5 months 1 week ago #3398 by __Mike__
    Hello,

    Try install Helix II V2.6 framework, but template set as a default photographer.

    File Attachment:

    File Name: helix_ii_t...v2.6.zip
    File Size:1,226 KB



    Thanks

    - Please search forums before posting.
    - Chrome DevTools is the most powerful web development and debugging tool, and it will save you a lot of time, frustration and forum questions.
    - If a thread is solved please edit your original / first post and place "[SOLVED]".



  • Posts: 1437

  • Gender: Male
  • Birthdate: Unknown
  • Attachments:
    Last edit: 5 months 1 week ago by __Mike__.

    Please Log in to join the conversation.

    5 months 1 week ago #3399 by --Ina--
    Hello Mike,

    thanks for your help, but sadly, it didnt work. we installed the helix 2.6 but after changing the php version warnings still occured.
    maybe you have another idea?

    greets
    ina


  • Posts: 2

  • Gender: Unknown
  • Birthdate: Unknown
  • Please Log in to join the conversation.

    Why Choose WebKomp?

    With all the Joomla Templates and WordPress Theme providers out there, why choose us?  Here are many reasons why a WebKomp template/theme would be a good fit for your website:

    • 47+ Templates and Themes
    • We offer a 14-day money-back guarantee
    • Nice Designs - We take pride in our work and we always looking ways to improve the next template release.
    • Affordable - Our prices are low.
    • Free Support - Need help? Just contact us
    • No Backlink Required - You can shut it off in the template's admin panel.
    • Nice Framework - WebKomp templates are powered by Warp7, Helix, T4, Gantry5 intuitive, wonderful  fast, lightweight, and feature-packed frameworks.
    • Easy to Customize - The admin panel provides many useful options that can be easily tweaked from the backend, easily, change fonts, colors, presets and more.
    • Our templates are based on the open Warp 7 , Helix, T4 and Gantry 5 Framework - Refer to the official Warp documentation, T4 Framework , Helix3/Ultimate, Gantry 5 for comprehensive info about how to use and expand the frameworks.
    • Sample Data Available - Quickstart Package allow you install in few clicks theme/template, extensions/plugins and demo data, in final you get full website exactly the same like on demo.
    • Mobile Friendly - All templates on this site are now responsive, meaning they automatically adjust to any screen resolution.  
    • The Single Template/Theme(12 Months Membership) is dedicated to all customer that need only one Template/Theme for their business or private project.